com.tibco.ax.fw.runtime.transport.ftp

## Interface FTPReply

- All Superinterfaces:
    IFTPFlavorReply

      public interface FTPReply
      extends IFTPFlavorReply

  This class contains constants and methods that simplify handling FTP server replies. Codes are according to RFC959-4.2. RFC can be obtained by the link shown below:

  >      http://www.ietf.org/rfc/rfc0959.txt?number=959

  (October 1985).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BAD_COMMAND_SEQUENCE_CODE` Bad sequence of commands.
    `static int` | `CAN_T_OPEN_DATA_CONNECTION_CODE` Can't open data connection.
    `static int` | `COMMAND_NOT_IMPLEMENTED_CODE` Command not implemented.
    `static int` | `COMMAND_NOT_IMPLEMENTED_FOR_THAT_PARAMETER_CODE` Command not implemented for that parameter.
    `static int` | `CONTROL_CONNECTION_CLOSED_CODE` Service closing control connection.
    `static int` | `CONTROL_CONNECTION_OPENED_CODE` Service ready for new user.
    `static int` | `DATA_CONNECTION_ABORTED_CODE` Connection closed; transfer aborted.
    `static int` | `DATA_CONNECTION_ABOUT_TO_BE_OPENED_CODE` File status okay; about to open data connection.
    `static int` | `DATA_CONNECTION_ALREADY_OPENED_CODE` Data Connection already open; transfer starting.
    `static int` | `DATA_CONNECTION_CLOSED_CODE` Closing data connection.
    `static int` | `DATA_CONNECTION_OPENED_CODE` Data connection open; no transfer in progress.
    `static int` | `DIRECTORY_STATUS_CODE` Directory status
    `static int` | `ENTERING_PASSIVE_MODE_CODE` Entering Passive Mode (h1,h2,h3,h4,p1,p2).
    `static int` | `EXCEEDED_STORAGE_ALLOCATION_CODE` Requested file action aborted.
    `static int` | `FILE_NAME_NOT_ALLOWED_CODE` Requested action not taken.
    `static int` | `FILE_STATUS_CODE` File status.
    `static int` | `HELP_MESSAGE_CODE` Help message.
    `static int` | `NEED_ACCOUNT_FOR_LOGIN_CODE` Need account for login.
    `static int` | `NEED_ACCOUNT_FOR_STORING_FILES_CODE` Need account for storing files.
    `static int` | `NOT_LOGGED_IN_CODE` Not logged in.
    `static int` | `PAGE_TYPE_UNKNOWN_CODE` Requested action aborted: page type unknown.
    `static int` | `PATHNAME_CREATED_CODE` "PATHNAME" created.
    `static int` | `PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE` Syntax error, command unrecognized.
    `static int` | `PERMANENTLY_UNAVAILABLE_FILE_CODE` Requested action not taken.
    `static int` | `POSITIVE_COMPLETION_REPLY_CODE` Command okay.
    `static int` | `REQUESTED_FILE_ACTION_OK_CODE` Requested file action okay, completed.
    `static int` | `REQUESTED_FILE_ACTION_PENDING_CODE` Requested file action pending further information.
    `static int` | `RESTART_MARKER_REPLY_CODE` Restart marker reply.
    `static int` | `SERVICE_NOT_AVAILABLE_CODE` Service not available, closing control connection.
    `static int` | `SUPERFLOUS_COMMAND_CODE` Command not implemented, superfluous at this site.
    `static int` | `SYNTAX_ERROR_IN_ARGUMENTS_CODE` Syntax error in parameters or arguments.
    `static int` | `SYSTEM_STATUS_OR_HELP_REPLY_CODE` System status, or system help reply.
    `static int` | `SYSTEM_TYPE_NAME_CODE` `NAME` system type.
    `static int` | `TRANSIENT_INSUFFICIENT_STORAGE_SPACE_CODE` Requested action not taken.
    `static int` | `TRANSIENT_LOCAL_PROCESSING_ERROR_CODE` Requested action aborted: local error in processing.
    `static int` | `TRANSIENT_UNAVAILABLE_FILE_CODE` Requested file action not taken.
    `static int` | `USER_LOGGED_IN_CODE` User logged in, proceed.
    `static int` | `USERNAME_OK_NEED_PASSWORD_CODE` User name okay, need password.
    `static int` | `WILL_BE_READY_IN_MINUTES_CODE` Service ready in `nnn` minutes.

  - ### Method Summary

    - ### Methods inherited from interface com.tibco.ax.fw.runtime.transport.IFTPFlavorReply

      `getFileName, getOperationID, getRemoteFileList, getReturnCode, getReturnMsg, setOperationID, toString`

- - ### Field Detail

    - #### RESTART_MARKER_REPLY_CODE

          static final int RESTART_MARKER_REPLY_CODE

      Restart marker reply. In this case, the text is exact and not left to the particular implementation; it must read : `MARK yyyy = mmmm` Where `yyyy` is User-process data stream marker, and `mmmm` server's equivalent marker (note the spaces between markers and '=`).
      See Also:
        "RFC959-4:2:'110'", Constant Field Values

    - #### WILL_BE_READY_IN_MINUTES_CODE

          static final int WILL_BE_READY_IN_MINUTES_CODE

      Service ready in `nnn` minutes.
      See Also:
        "RFC959-4:2:'120'", Constant Field Values

    - #### DATA_CONNECTION_ALREADY_OPENED_CODE

          static final int DATA_CONNECTION_ALREADY_OPENED_CODE

      Data Connection already open; transfer starting.
      See Also:
        "RFC959-4:2:'125'", Constant Field Values

    - #### DATA_CONNECTION_ABOUT_TO_BE_OPENED_CODE

          static final int DATA_CONNECTION_ABOUT_TO_BE_OPENED_CODE

      File status okay; about to open data connection.
      See Also:
        "RFC959-4:2:'150'", Constant Field Values

    - #### POSITIVE_COMPLETION_REPLY_CODE

          static final int POSITIVE_COMPLETION_REPLY_CODE

      Command okay.
      See Also:
        "RFC959-4:2:'200'", Constant Field Values

    - #### SUPERFLOUS_COMMAND_CODE

          static final int SUPERFLOUS_COMMAND_CODE

      Command not implemented, superfluous at this site.
      See Also:
        "RFC959-4:2:'202'", Constant Field Values

    - #### SYSTEM_STATUS_OR_HELP_REPLY_CODE

          static final int SYSTEM_STATUS_OR_HELP_REPLY_CODE

      System status, or system help reply.
      See Also:
        "RFC959-4:2:'211'", Constant Field Values

    - #### DIRECTORY_STATUS_CODE

          static final int DIRECTORY_STATUS_CODE

      Directory status
      See Also:
        "RFC959-4:2:'212'", Constant Field Values

    - #### FILE_STATUS_CODE

          static final int FILE_STATUS_CODE

      File status.
      See Also:
        "RFC959-4:2:'213'", Constant Field Values

    - #### HELP_MESSAGE_CODE

          static final int HELP_MESSAGE_CODE

      Help message. On how to use the server or the meaning of a particular non-standard command. This reply is useful only to the human user.
      See Also:
        "RFC959-4:2:'214'", Constant Field Values

    - #### SYSTEM_TYPE_NAME_CODE

          static final int SYSTEM_TYPE_NAME_CODE

      `NAME` system type. Where `NAME` is an official system name from the list in the Assigned Numbers document.
      See Also:
        "RFC959-4:2:'215'", "RFC1700", Constant Field Values

    - #### CONTROL_CONNECTION_OPENED_CODE

          static final int CONTROL_CONNECTION_OPENED_CODE

      Service ready for new user.
      See Also:
        "RFC959-4:2:'220'", Constant Field Values

    - #### CONTROL_CONNECTION_CLOSED_CODE

          static final int CONTROL_CONNECTION_CLOSED_CODE

      Service closing control connection. Logged out if appropriate.
      See Also:
        "RFC959-4:2:'221'", Constant Field Values

    - #### DATA_CONNECTION_OPENED_CODE

          static final int DATA_CONNECTION_OPENED_CODE

      Data connection open; no transfer in progress.
      See Also:
        "RFC959-4:2:'225'", Constant Field Values

    - #### DATA_CONNECTION_CLOSED_CODE

          static final int DATA_CONNECTION_CLOSED_CODE

      Closing data connection. Requested file action successful (e.g., file transfer or file abort).
      See Also:
        "RFC959-4:2:'226'", Constant Field Values

    - #### ENTERING_PASSIVE_MODE_CODE

          static final int ENTERING_PASSIVE_MODE_CODE

      Entering Passive Mode (h1,h2,h3,h4,p1,p2).
      See Also:
        "RFC959-4:2:'227'", Constant Field Values

    - #### USER_LOGGED_IN_CODE

          static final int USER_LOGGED_IN_CODE

      User logged in, proceed.
      See Also:
        "RFC959-4:2:'230'", Constant Field Values

    - #### REQUESTED_FILE_ACTION_OK_CODE

          static final int REQUESTED_FILE_ACTION_OK_CODE

      Requested file action okay, completed.
      See Also:
        "RFC959-4:2:'250'", Constant Field Values

    - #### PATHNAME_CREATED_CODE

          static final int PATHNAME_CREATED_CODE

      "PATHNAME" created.
      See Also:
        "RFC959-4:2:'257'", Constant Field Values

    - #### USERNAME_OK_NEED_PASSWORD_CODE

          static final int USERNAME_OK_NEED_PASSWORD_CODE

      User name okay, need password.
      See Also:
        "RFC959-4:2;'331'", Constant Field Values

    - #### NEED_ACCOUNT_FOR_LOGIN_CODE

          static final int NEED_ACCOUNT_FOR_LOGIN_CODE

      Need account for login.
      See Also:
        "RFC959-4:2:'332'", Constant Field Values

    - #### REQUESTED_FILE_ACTION_PENDING_CODE

          static final int REQUESTED_FILE_ACTION_PENDING_CODE

      Requested file action pending further information.
      See Also:
        "RFC959-4:2:'350'", Constant Field Values

    - #### SERVICE_NOT_AVAILABLE_CODE

          static final int SERVICE_NOT_AVAILABLE_CODE

      Service not available, closing control connection. This may be a reply to any command if the service knows it must shut down.
      See Also:
        "RFC959-4:2:'421'", Constant Field Values

    - #### CAN_T_OPEN_DATA_CONNECTION_CODE

          static final int CAN_T_OPEN_DATA_CONNECTION_CODE

      Can't open data connection.
      See Also:
        "RFC959-4:2:'425'", Constant Field Values

    - #### DATA_CONNECTION_ABORTED_CODE

          static final int DATA_CONNECTION_ABORTED_CODE

      Connection closed; transfer aborted.
      See Also:
        "RFC959-4:2:'426'", Constant Field Values

    - #### TRANSIENT_UNAVAILABLE_FILE_CODE

          static final int TRANSIENT_UNAVAILABLE_FILE_CODE

      Requested file action not taken. File unavailable (e.g., file busy).
      See Also:
        "RFC959-4:2:'450'", Constant Field Values

    - #### TRANSIENT_LOCAL_PROCESSING_ERROR_CODE

          static final int TRANSIENT_LOCAL_PROCESSING_ERROR_CODE

      Requested action aborted: local error in processing.
      See Also:
        "RFC959-4:2:'451'", Constant Field Values

    - #### TRANSIENT_INSUFFICIENT_STORAGE_SPACE_CODE

          static final int TRANSIENT_INSUFFICIENT_STORAGE_SPACE_CODE

      Requested action not taken. Insufficient storage space in system.
      See Also:
        "RFC959-4:2:'452'", Constant Field Values

    - #### PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE

          static final int PERMANENT_NEGATIVE_COMPLETION_REPLY_CODE

      Syntax error, command unrecognized. This may include errors such as command line too long.
      See Also:
        "RFC959-4:2:'500'", Constant Field Values

    - #### SYNTAX_ERROR_IN_ARGUMENTS_CODE

          static final int SYNTAX_ERROR_IN_ARGUMENTS_CODE

      Syntax error in parameters or arguments.
      See Also:
        "RFC959-4:2:'501'", Constant Field Values

    - #### COMMAND_NOT_IMPLEMENTED_CODE

          static final int COMMAND_NOT_IMPLEMENTED_CODE

      Command not implemented.
      See Also:
        "RFC959-4:2:'502'", Constant Field Values

    - #### BAD_COMMAND_SEQUENCE_CODE

          static final int BAD_COMMAND_SEQUENCE_CODE

      Bad sequence of commands.
      See Also:
        "RFC959-4:2:'503'", Constant Field Values

    - #### COMMAND_NOT_IMPLEMENTED_FOR_THAT_PARAMETER_CODE

          static final int COMMAND_NOT_IMPLEMENTED_FOR_THAT_PARAMETER_CODE

      Command not implemented for that parameter.
      See Also:
        "RFC959-4:2:'504'", Constant Field Values

    - #### NOT_LOGGED_IN_CODE

          static final int NOT_LOGGED_IN_CODE

      Not logged in.
      See Also:
        "RFC959-4:2:'530'", Constant Field Values

    - #### NEED_ACCOUNT_FOR_STORING_FILES_CODE

          static final int NEED_ACCOUNT_FOR_STORING_FILES_CODE

      Need account for storing files.
      See Also:
        "RFC959-4:2:'532'", Constant Field Values

    - #### PERMANENTLY_UNAVAILABLE_FILE_CODE

          static final int PERMANENTLY_UNAVAILABLE_FILE_CODE

      Requested action not taken. File unavailable (e.g., file not found, no access).
      See Also:
        "RFC959-4:2:'550'", Constant Field Values

    - #### PAGE_TYPE_UNKNOWN_CODE

          static final int PAGE_TYPE_UNKNOWN_CODE

      Requested action aborted: page type unknown.
      See Also:
        "RFC959-4:2:'551'", Constant Field Values

    - #### EXCEEDED_STORAGE_ALLOCATION_CODE

          static final int EXCEEDED_STORAGE_ALLOCATION_CODE

      Requested file action aborted. Exceed storage allocation (for current directory or dataset).
      See Also:
        "RFC959-4:2:'552'", Constant Field Values

    - #### FILE_NAME_NOT_ALLOWED_CODE

          static final int FILE_NAME_NOT_ALLOWED_CODE

      Requested action not taken. File name not allowed.
      See Also:
        "RFC959-4:2:'553'", Constant Field Values